### Struct

# Ide Triplet

#### Description

    struct IdeTriplet {
      /* No available fields */
    }

No description available.

#### Constructors

###### ide_triplet_new

Creates a new `IdeTriplet` from a given identifier. This identifier can be a simple architecture name, a duet of “arch-kernel” (like “m68k-coff”), a triplet of “arch-kernel-os” (like “x86_64-linux-gnu”) or a quadriplet of “arch-vendor-kernel-os” (like “i686-pc-linux-gnu”)

Available since: 3.32

###### ide_triplet_new_from_system

Creates a new `IdeTriplet` from a the current system information.

Available since: 3.32

###### ide_triplet_new_with_quadruplet

Creates a new `IdeTriplet` from a given quadruplet of “arch-vendor-kernel-os” (like “i686-pc-linux-gnu”)

Available since: 3.32

###### ide_triplet_new_with_triplet

Creates a new `IdeTriplet` from a given triplet of “arch-kernel-os” (like “x86_64-linux-gnu”)

Available since: 3.32

#### Instance methods

###### ide_triplet_get_arch

Gets the architecture name of the machine.

Available since: 3.32

###### ide_triplet_get_full_name

Gets the full name of the machine configuration name (can be an architecture name, a duet, a triplet or a quadruplet).

Available since: 3.32

###### ide_triplet_get_kernel

Gets name of the kernel of the machine.

Available since: 3.32

###### ide_triplet_get_operating_system

Gets name of the operating system of the machine.

Available since: 3.32

###### ide_triplet_get_vendor

Gets the vendor name of the machine.

Available since: 3.32

###### ide_triplet_is_system

Gets whether this is the same architecture as the system.

Available since: 3.32

###### ide_triplet_ref

Increases the reference count of `self`.

Available since: 3.32

###### ide_triplet_unref

Decreases the reference count of `self` Once the reference count reaches 0, the object is freed.

Available since: 3.32